تخطَّ إلى المستندات
API

إضافة ملاحظة إلى محادثة

ثبّت ملاحظة خاصة على محادثة.

POST/threads/{id}/notes

ينفّذ الاستدعاء الحقيقي على مساحة عملك.

POST /threads/{id}/notes

ثبّت ملاحظة خاصة على محادثة.

مثال

يتطلب threads:write. يصل content إلى 20,000 حرف، وcolor واحد من default وred وorange وyellow وgreen وblue وpurple وpink، وpinned يُبقي الملاحظة في الأعلى. يرد بـ 201 مع الملاحظة.

curl
curl -X POST "$OE/threads/thr_7c1e4a90/notes" -H "$AUTH" -H "Content-Type: application/json" \  -d '{ "content": "Waiting on the signed contract before replying.", "color": "yellow", "pinned": true }'
الاستجابة
{  "object": "note",  "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d",  "threadId": "thr_7c1e4a90",  "content": "Waiting on the signed contract before replying.",  "color": "yellow",  "pinned": true,  "order": 4,  "createdAt": "2026-09-30T09:12:44.000Z",  "updatedAt": "2026-09-30T09:12:44.000Z"}

تأتي الملاحظة الجديدة بعد الأخريات. وإرسال الطلب نفسه مرتين يضيف ملاحظتين.

المرجع